it.reply.healty.innovapuglia.mstaccuino.soap.service.impl

## Class ITaccuinoExporterImpl

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.soap.service.common.AbstractSoapServiceImpl
  - - it.reply.healty.innovapuglia.mstaccuino.soap.service.impl.ITaccuinoExporterImpl

- All Implemented Interfaces:
    ITaccuinoExporter

      @Component
      public class ITaccuinoExporterImpl
      extends AbstractSoapServiceImpl
      implements ITaccuinoExporter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class it.reply.healty.innovapuglia.mstaccuino.soap.service.common.AbstractSoapServiceImpl

      `AbstractSoapServiceImpl.FunctionalExecution<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITaccuinoExporterImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DocumentoType>` | `exportDocumenti(String patientId)`
    `List<TaccuinoType>` | `exportMetadati(String patientId)`

    - ### Methods inherited from class it.reply.healty.innovapuglia.mstaccuino.soap.service.common.AbstractSoapServiceImpl

      `execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ITaccuinoExporterImpl

          public ITaccuinoExporterImpl()

  - ### Method Detail

    - #### exportMetadati

          public List<TaccuinoType> exportMetadati(String patientId)
                                            throws FaultException

      Specified by:
        `exportMetadati` in interface `ITaccuinoExporter`
      Throws:
        `FaultException`

    - #### exportDocumenti

          public List<DocumentoType> exportDocumenti(String patientId)
                                              throws FaultException

      Specified by:
        `exportDocumenti` in interface `ITaccuinoExporter`
      Throws:
        `FaultException`

Copyright © 2024. All rights reserved.